#
# spec file for package perl-OLE-Storage_Lite
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-OLE-Storage_Lite
Version:        0.19
Release:        lp152.4.1
License:        GPL-1.0+ or Artistic-1.0
%define cpan_name OLE-Storage_Lite
Summary:        Simple Class for OLE document interface.
Url:            http://search.cpan.org/dist/OLE-Storage_Lite/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/J/JM/JMCNAMARA/%{cpan_name}-%{version}.tar.gz
Patch0:         fix-time-local.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
OLE::Storage_Lite allows you to read and write an OLE structured file.

OLE::Storage_Lite::PPS is a class representing PPS.
OLE::Storage_Lite::PPS::Root, OLE::Storage_Lite::PPS::File and
OLE::Storage_Lite::PPS::Dir are subclasses of OLE::Storage_Lite::PPS.

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Mon Jun 24 2019 Bernhard Wiedemann <bwiedemann@suse.com>
- Add fix-time-local.patch to make tests pass after 2019
* Thu Jun  9 2011 coolo@novell.com
- fix license
* Mon Jun  6 2011 coolo@novell.com
- updated to 0.19
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
